events.listen("recipes", function (event) {

  // Dust Unification
  var dusts = [
    "dust_copper",
    "dust_tin",
    "dust_silver",
    "dust_nickel",
    "dust_zinc",
    "dust_aluminum",

    "copper_dust",
    "tin_dust",
    "lead_dust",
    "silver_dust",
    "nickel_dust",
    "zinc_dust",
    "aluminum_dust",
  ];

  dusts.forEach(function (item, index) {
    event.replaceOutput({}, "crossroads:" + item, "immersiveengineering:" + item);
  });

  // Copper Unification
  var copper = [
    "ingot_copper",
    "block_copper",
    "nugget_copper",
    "storage_copper",
    "copper_ingot",
    "copper_block",
    "copper_nugget",
  ];

  copper.forEach(function (item, index) {
    event.replaceOutput({}, "crossroads:" + item, "immersiveengineering:" + item);
  });

});